Bug 984325 - [abrt] vbindiff-3.0-0.8.beta4.fc19: ConWindow::putAttribs: Process /usr/bin/vbindiff was killed by signal 11 (SIGSEGV)
[abrt] vbindiff-3.0-0.8.beta4.fc19: ConWindow::putAttribs: Process /usr/bin/v...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: vbindiff (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:3148685205397fe325381c8f5d4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-14 18:51 EDT by Štefan Gurský
Modified: 2015-02-17 11:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:09:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.17 KB, text/plain)
2013-07-14 18:51 EDT, Štefan Gurský
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-14 18:51 EDT, Štefan Gurský
no flags Details
File: core_backtrace (399 bytes, text/plain)
2013-07-14 18:51 EDT, Štefan Gurský
no flags Details
File: dso_list (866 bytes, text/plain)
2013-07-14 18:51 EDT, Štefan Gurský
no flags Details
File: environ (2.58 KB, text/plain)
2013-07-14 18:51 EDT, Štefan Gurský
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-14 18:51 EDT, Štefan Gurský
no flags Details
File: maps (4.26 KB, text/plain)
2013-07-14 18:51 EDT, Štefan Gurský
no flags Details
File: open_fds (222 bytes, text/plain)
2013-07-14 18:51 EDT, Štefan Gurský
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2013-07-14 18:52 EDT, Štefan Gurský
no flags Details
File: var_log_messages (301 bytes, text/plain)
2013-07-14 18:52 EDT, Štefan Gurský
no flags Details
fix crash (536 bytes, patch)
2013-12-27 05:58 EST, Till Maas
no flags Details | Diff

  None (edit)
Description Štefan Gurský 2013-07-14 18:51:07 EDT
Description of problem:
I was comparing two files and pressed enter to jump to next (first) difference. The files were supposed to be same downloaded file, but one was interrupted in about two thirds and I want to check if one is really just truncated version of the other.
I could reproduce the crash:
1) take any file that is „longer than one screen“ (I took text file with GPL and it worked)
2) make a copy and truncate the file (so that one file is „prefix“ of the other)
3) run vbindiff on them (it seems it does not matter which file is first argument).
4) press enter (as to go to next difference)
(if crash did not happen at 4, then 5) press down arrow - for some files it was not necessary, for some it was and one could switch 4) and 5))

Version-Release number of selected component:
vbindiff-3.0-0.8.beta4.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        vbindiff aaa.zip 'Stiahnut\xc3\xa9/Wasteland.zip'
crash_function: ConWindow::putAttribs
executable:     /usr/bin/vbindiff
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 ConWindow::putAttribs at curses/ConWin.cpp:202
 #1 FileDisplay::display at vbindiff.cpp:499
 #2 handleCmd at vbindiff.cpp:1720
Comment 1 Štefan Gurský 2013-07-14 18:51:13 EDT
Created attachment 773440 [details]
File: backtrace
Comment 2 Štefan Gurský 2013-07-14 18:51:16 EDT
Created attachment 773441 [details]
File: cgroup
Comment 3 Štefan Gurský 2013-07-14 18:51:24 EDT
Created attachment 773442 [details]
File: core_backtrace
Comment 4 Štefan Gurský 2013-07-14 18:51:32 EDT
Created attachment 773443 [details]
File: dso_list
Comment 5 Štefan Gurský 2013-07-14 18:51:40 EDT
Created attachment 773444 [details]
File: environ
Comment 6 Štefan Gurský 2013-07-14 18:51:42 EDT
Created attachment 773445 [details]
File: limits
Comment 7 Štefan Gurský 2013-07-14 18:51:52 EDT
Created attachment 773446 [details]
File: maps
Comment 8 Štefan Gurský 2013-07-14 18:51:56 EDT
Created attachment 773447 [details]
File: open_fds
Comment 9 Štefan Gurský 2013-07-14 18:52:01 EDT
Created attachment 773448 [details]
File: proc_pid_status
Comment 10 Štefan Gurský 2013-07-14 18:52:04 EDT
Created attachment 773449 [details]
File: var_log_messages
Comment 11 Till Maas 2013-12-27 05:49:46 EST
Here it crashes with different size files at startup, e.g. files created with the following can be used to reproduce the problem:

dd if=/dev/zero of=small.bin bs=1 count=0 seek=1
dd if=/dev/zero of=large.bin bs=1 count=0 seek=100
Comment 12 Till Maas 2013-12-27 05:51:18 EST
There is an upstream pull request taht is crash related, maybe it is the same issue:
https://github.com/madsen/vbindiff/pull/3
Comment 13 Till Maas 2013-12-27 05:58:53 EST
Created attachment 842252 [details]
fix crash

This patch fixes the bug for me.

Patch copied from https://github.com/nfllab/vbindiff/commit/931c9f35f934261de70b2d70fa171cec404d66af
Comment 14 Fedora End Of Life 2015-01-09 13:55:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 11:09:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.